from setuptools import find_packages, setup

with open("src/README.md", "r") as f:
	long_description = f.read()

setup(
    name="realtime-trains",
    version="0.0.1",
    description="Unofficial Python API for Realtime Trains",
    package_dir={"": "src"},
	packages=find_packages(where="src"),
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/mbukovac/realtime-trains",
    author="Marko Bukovac",
    author_email="marko.bukovac@gmail.com",
    license="MIT",
    classifiers=[
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.7",
    ],
    include_package_data=True,
    install_requires=["httpx", "pydantic"]
)
